/* =========================
   RESET
========================= */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

html{
  scroll-behavior:smooth;
}

body {
    font-family: 'Montserrat', sans-serif;

  background:
    linear-gradient(
      180deg,
      #ffffff 0%,
      #fcfaf7 30%,
      #f8f3ec 65%,
      #f3ede5 100%
    );
  color:#1e293b;
  overflow-x:hidden;
  line-height:1.6;
  position:relative;
}
/* =========================
   GLOBAL TYPOGRAPHY
========================= */

h1,h2,h3,h4,h5,h6{
  font-family: 'Montserrat', sans-serif;
  font-weight:600;
  line-height:1.2;
  letter-spacing:-0.02em;
}

p,
span,
a,
button,
input,
textarea,
label{
  font-family: 'Montserrat', sans-serif;
  font-weight:600;
}

button{
  font-weight:600;
}

.section-title h2,
.card h3,
.card-content h3{
  font-weight:600;
}

/* READABILITY IMPROVEMENTS */

p{
  font-size:1rem;
  line-height:1.8;
  color:#475569;
}

h1{
  font-weight:600;
}

h2{
  font-weight:600;
}

h3{
  font-weight:600;
}

/* =========================
   GLOBAL BACKGROUND
========================= */

body::before{
  content:'';
  position:fixed;
  inset:0;

  background:
    radial-gradient(
      circle at top left,
      rgba(6,182,212,0.12),
      transparent 35%
    ),

    radial-gradient(
      circle at bottom right,
      rgba(59,130,246,0.10),
      transparent 35%
    ),

    radial-gradient(
      circle at center,
      rgba(14,165,233,0.05),
      transparent 50%
    );

  z-index:-2;
}

/* =========================
   HEADER
========================= */

header{
  width:100%;
  padding:20px 6% 0;

  display:flex;
  align-items:center;
  justify-content:space-between;

  position:absolute;
  top:0;
  left:0;

  background:transparent;
  border:none;

  z-index:1000;
}

.logo img{
  width:260px;
  max-width:100%;
  height:auto;
  display:block;
  object-fit:contain;
}

nav{
  display:flex;
  align-items:center;
  gap:28px;
}

nav a{
  color:#ffffff;
  text-decoration:none;

  font-size:0.95rem;
  font-weight:600;

  letter-spacing:.3px;

  text-shadow:0 2px 10px rgba(0,0,0,.35);

  transition:.3s ease;
}

nav a:hover{
  color:#7dd3fc;
}
/* =========================
   HERO
========================= */


.hero{
  min-height:75vh;

  display:grid;

  grid-template-columns:
    minmax(320px,520px)
    minmax(320px,540px);

  justify-content:space-between;
  align-items:center;

  column-gap:120px;

  padding:90px 6% 40px;

  position:relative;
  overflow:hidden;

  max-width:1800px;
  margin:auto;
}

.hero::before{
  content:"";
  position:absolute;
  inset:0;

  background:
    linear-gradient(
      90deg,
      rgba(5,8,22,.70) 0%,
      rgba(5,8,22,.45) 40%,
      rgba(5,8,22,.15) 100%
    ),
    url("4kbackground.png");

  background-size:cover;
  background-position:90% center;
  background-repeat:no-repeat;

  z-index:0;
}

.hero::after{
  content:"";

  position:absolute;
  left:0;
  right:0;
  bottom:0;

  height:85px;

  background:
    linear-gradient(
      to bottom,
      rgba(248,252,255,0) 0%,
      rgba(248,252,255,.30) 40%,
      rgba(248,252,255,.65) 75%,
      rgba(248,252,255,.95) 100%
    );

  z-index:1;
}



/* LEFT CONTENT */

.hero-content{
  position:relative;
  z-index:2;

  /* PUSH CONTENT MORE LEFT */
  justify-self:start;

  max-width:700px;
}

/* RIGHT VISUAL */

.hero-visual{
  position:relative;
  z-index:2;
  width:100%;
  height:100%;
  display:flex;
  justify-content:flex-end;
  align-items:center;
}

/* Orbit Ring */

.hero h1{
  font-size:clamp(2.2rem,4vw,3.8rem);

  font-weight:600;

  line-height:1.08;

  letter-spacing:-0.03em;

  margin-bottom:24px;

  background:
    linear-gradient(
      90deg,
      #ffffff,
      #f8fafc,
      #cbd5e1
    );

  -webkit-background-clip:text;
  -webkit-text-fill-color:transparent;
}

.hero p{
  max-width:600px;

   color:#e2e8f0;

  font-size:1rem;

  line-height:1.8;

  font-weight:500;

  margin-bottom:38px;
}

.hero button{
  padding:16px 36px;

  border:none;
  border-radius:14px;

  background:
    linear-gradient(
      135deg,
      #06b6d4,
      #8b5cf6
    );

  color:#ffffff;

  font-size:1rem;
  font-weight:600;

  cursor:pointer;

  transition:all 0.3s ease;

  box-shadow:
    0 12px 40px rgba(99,102,241,0.35);
}

.hero button:hover{
  transform:translateY(-4px);

  box-shadow:
    0 20px 55px rgba(99,102,241,0.45);
}

/* =========================
   HERO VISUAL
========================= */

/* MAIN WALLPAPER */

.hero-wallpaper{
  position: relative;

  width: 100%;
  max-width: 740px;
  height: 640px;

  display: flex;
  align-items: center;
  justify-content: center;

  overflow: visible;
}

/* GLOW EFFECT */

.hero-wallpaper::after{
  content: "";

  position: absolute;

  width: 320px;
  height: 320px;

  border-radius: 50%;

  background:
    radial-gradient(
      circle,
      rgba(139,92,246,0.18),
      transparent 70%
    );

  filter: blur(30px);

  /* Animation removed */
}

/* ORBIT ITEMS */

.wallpaper-item{
  position: absolute;

  left: 38%;
  top: 48%;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  gap: 8px;

  opacity: 0;

  transform:
    translate(-50%, -50%)
    scale(.2);

  transition:
    transform 1.2s ease,
    opacity .8s ease;

  pointer-events: none;
}

/* ICON */

.wallpaper-icon{
  width:110px;
  height:110px;

  color:#ffffff;

  display:block;

  filter:
    drop-shadow(0 0 10px rgba(255,255,255,.12));

  animation:none;
}

/* =========================
   OPTIONAL FADE IN
========================= */

@keyframes fadeUp{
  from{
    opacity: 0;
    transform: translateY(30px);
  }

  to{
    opacity: 1;
    transform: translateY(0);
  }
}
/* =========================
   ANIMATIONS
========================= */

@keyframes secondaryGlow{

  0%{
    transform:translateY(0px);
  }

  50%{
    transform:translateY(-25px);
  }

  100%{
    transform:translateY(0px);
  }
}



@keyframes fadeUp{
    from{
        opacity:0;
        transform:translateY(30px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}
/* =========================
   PARTNERS
========================= */

.partners-section{
  width:100%;

   padding:40px 6%;

  position:relative;
}

.partners-title{
  text-align:center;

  font-size:1rem;
  font-weight:700;

  letter-spacing:.18em;
  text-transform:uppercase;

  color:#64748b;

  margin-bottom:50px;
}
.partners-grid{
    display:flex;
    flex-wrap:nowrap; /* prevent wrapping */

    justify-content:center;
    align-items:center;

    gap:50px;

    width:100%;
    overflow-x:auto; /* allows scrolling on mobile */

    padding-bottom:10px;
}

.partners-grid a{
    width:180px;
    height:100px;

    display:flex;
    align-items:center;
    justify-content:center;

    padding:0;
}

.partners-grid img{

    width:9%;
    height:5%;

    object-fit:contain;

    display:block;

    opacity:.9;
}
/* =========================
   SERVICES
========================= */

.services{
  padding:110px 8%;
}

.section-title{
  display:flex;
  justify-content:space-between;
  align-items:flex-start;
  gap:40px;

  margin-bottom:70px;
}

.section-title h2{
  font-size:2.8rem;
  margin:0;

  flex-shrink:0;

  text-align:left;
}
.section-title p{
  color:#475569;
  font-size:1rem;
  max-width:500px;
}
/* =========================
   GRID
========================= */

.grid{
  display:grid;
  grid-template-columns:
    repeat(auto-fit,minmax(277px,1fr));

  gap:20px;

  align-items:stretch;
}

/* =========================
   CARD
========================= */

.card{

  position:relative;
  overflow:hidden;

  display:flex;
  flex-direction:column;

  min-height:360px;

  padding:30px;

  border-radius:20px;

  border:1px solid rgba(255,255,255,.15);


}


/* =========================
   SERVICE CARD COLORS
========================= */

/* Domain - Premium Ocean */
.domain-card{
  background:#173138;
}

/* Email - Premium Teal */
.email-card{
  background:#5ED7C6;
}

/* Website - Premium Moss Green */
.website-card{
  background:#1C402B;
}

/* Management - Soft Gold */
.management-card{
  background:#F4CC67;
}

/* =========================
   ICONS
========================= */

.icon{
  color:rgba(255,255,255,.95);
  font-size:2.4rem;
  margin-bottom:22px;
}

/* =========================
   TEXT
========================= */

.card h3{
  color:#ffffff;
  font-size:2rem;
  font-weight:500;
  margin-bottom:14px;
}

.card p{
  flex:1;

  color:rgba(255,255,255,.88);

  line-height:1.8;
  margin-bottom:22px;
}


.email-card .highlight{
  background:rgba(15,23,42,.08);
}
/* =========================
   HIGHLIGHT TAG
========================= */

.highlight{
  display:inline-block;

  margin-top:auto;

  padding:8px 14px;

  border-radius:12px;

  background:rgba(255,255,255,.18);

  color:#ffffff;

  font-size:0.88rem;
  font-weight:550;
}

/* Dark text for light cards */

.email-card h3,
.email-card p,
.email-card .icon,
.email-card .highlight,

.management-card h3,
.management-card p,
.management-card .icon,
.management-card .highlight{
  color:#1e293b;
}

/* Dark highlight background for light cards */

.email-card .highlight,
.management-card .highlight{
  background:rgba(15,23,42,.08);
}
/* =========================
   WHAT WE DO
========================= */

.whatwedo-section{
    padding:110px 8%;
    position:relative;
    
    animation:fadeUp .8s ease;
}

.whatwedo-section .section-title span{
    display:inline-block;
    margin-bottom:12px;

    color:#00e5ff;
    font-size:.85rem;
    font-weight:600;
    letter-spacing:2px;

    text-transform:uppercase;
}

.whatwedo-section .section-title p{
    max-width:700px;
    margin:0 auto;
}

.about-stack{
    display:flex;
    justify-content:flex-end;

    width:100%;
    height:520px;

    margin-top:70px;
}

/* collapsed state */
.about-card{
  display:flex;
  flex-direction:row;

  width:130px;

  overflow:hidden;

  border-radius:24px;

  background:
    linear-gradient(
      180deg,
      rgba(18,25,45,.95),
      rgba(10,14,28,.95)
    );

  border:1px solid rgba(255,255,255,.08);

  transition:
    width .6s ease,
    transform .3s ease,
    border-color .3s ease;

  cursor:pointer;

  margin-left:10px;
  will-change:width;
}

.about-card:hover{
    border-color:rgba(0,229,255,.35);
    transform:translateY(-6px);
    
}

/* expanded card */
.about-card.active{
    width:100%;

    background-size:cover;
    background-position:right center;
    background-repeat:no-repeat;
}
/* =========================
  WHAT WE DO CARD BACKGROUNDS
========================= */

.whatwedo-card.active{
background:
  linear-gradient(
    90deg,
    rgba(15,23,42,.80) 0%,
    rgba(15,23,42,.55) 30%,
    rgba(15,23,42,.15) 60%,
    rgba(15,23,42,0) 100%
  ),
  url("images/whatwedo/whatwedo.png");

background-size:cover;
background-position:center;
background-repeat:no-repeat;
}
.whyus-card.active{
background:
  linear-gradient(
    120deg,
    rgba(15,23,42,.80) 0%,
    rgba(15,23,42,.55) 30%,
    rgba(15,23,42,.15) 60%,
    rgba(15,23,42,0) 100%
  ),
    url("images/whatwedo/whatwedo2.png");

background-size:cover;
background-position:center;
background-repeat:no-repeat;
}


.whoarewe-card.active{
background:
  linear-gradient(
    120deg,
    rgba(15,23,42,.80) 0%,
    rgba(15,23,42,.55) 30%,
    rgba(15,23,42,.15) 60%,
    rgba(15,23,42,0) 100%
  ),
    url("images/whatwedo/whatwedo3.png");

background-size:cover;
background-position:center;
background-repeat:no-repeat;
}

/* content expands LEFT */
.card-content{
  max-width:600px;

  opacity:0;

  transform:translateX(-25px);

  overflow:hidden;

    transition:
      opacity .35s ease,
      transform .35s ease;
}

.about-card.active .card-content{
    width:100%;
    opacity:1;
    transform:translateX(0);

    padding:120px 80px 60px 80px;

    justify-content:flex-start;
    align-items:flex-start;
    text-align:left;
}


/* right-side vertical tab */
.card-tab{
    width:90px;
    min-width:90px;

    display:flex;
    align-items:center;
    justify-content:center;

    writing-mode:vertical-lr;
    transform:rotate(180deg);

    font-size:30px;
    font-weight:600;
    letter-spacing:2px;

    color:#fff;

    background:
    linear-gradient(
        160deg,
        #352073
        #0b3147

    );

    transition:
      width .35s ease,
      min-width .35s ease,
      opacity .25s ease,
      filter .3s ease;
}

.about-card:hover .card-tab{
    filter:brightness(1.1);
}

.about-card.active .card-tab{
    width:0;
    min-width:0;
    opacity:0;
    overflow:hidden;
}
/* content styling */

.card-content h3{
  color:#ffffff;
    font-size:2.8rem;
    margin-bottom:18px;
}

.card-content p{
  color:#e2e8f0;
    max-width:520px;
    font-size:1.1rem;
    line-height:1.9;
}


/* =========================
   WEBSITE SHOWCASE
========================= */

.template-showcase{

    position:relative;

    padding:140px 0;

    overflow:hidden;

    background:
    linear-gradient(
        180deg,
        #1C333A
    );
}


/* Header */

.showcase-header{

    text-align:center;

    max-width:900px;

    margin:0 auto 90px;

    padding:0 20px;
}

.showcase-header span{

    font-size:.85rem;

    font-weight:600;

    letter-spacing:2px;

    color:#ffffff;
}

.showcase-header h2{

    margin-top:18px;

    font-size:clamp(2.0rem,3vw,4.5rem);

    line-height:1.05;

    font-weight:600;

    color:#ffffff;
}

.showcase-header p{

    margin-top:25px;

    font-size:1.1rem;

    color:#ffffff;

    line-height:1.8;

    max-width:700px;

    margin-inline:auto;
}

/* Slider */

.template-marquee{

    overflow:hidden;

    width:100%;
}

.template-track{

    display:flex;

    gap:70px;

    width:max-content;

    animation:
    templateScroll 90s linear infinite;
}

.template-track.paused{
    animation-play-state:paused;
}

@keyframes templateScroll{

    from{
        transform:translateX(0);
    }

    to{
        transform:translateX(-50%);
    }
}

/* Card */

.template-item{
    position:relative;
    width:550px;
    flex-shrink:0;

    cursor:pointer;

 transition:
        transform .5s ease,
        z-index .5s ease;
}


/* Zoomed Out State */

.template-item.zoomed{

    transform:scale(1.15);

    z-index:100;
}

/* Desktop Browser */

.template-browser{
    overflow:hidden;

    height:600px; /* controls how much of the desktop site is visible */

    border-radius:30px;

    background:#fff;

    border:1px solid rgba(15,23,42,.08);

    box-shadow:
    0 35px 90px rgba(15,23,42,.10);
}

.template-browser::before{

    content:"";

    display:block;

    height:48px;

    border-bottom:
    1px solid rgba(15,23,42,.05);

    background:
    linear-gradient(
        180deg,
        #ffffff,
        #f8fafc
    );
}

.template-browser img{
    width:100%;
    height:auto;
    display:block;
}

/* Mobile Device */

.template-phone{

    position:absolute;

    right:-30px;

    bottom:50px;

    width:170px;

    overflow:hidden;

    border-radius:34px;

    border:10px solid #fff;

    background:#fff;

    box-shadow:
    0 25px 60px rgba(15,23,42,.18);

    animation:
    phoneFloat 5s ease-in-out infinite;
}

.template-phone img{

    width:100%;

    display:block;
}

@keyframes phoneFloat{

    0%,100%{
        transform:translateY(0);
    }

    50%{
        transform:translateY(-10px);
    }
}

/* Industry Name */

.template-item h3{

    margin-top:28px;

    font-size:1.4rem;

    font-weight:600;

    color:#ffff;
}

/* Responsive */

@media(max-width:991px){

    .template-item{

        width:650px;
    }

    .template-phone{

        width:130px;

        right:-15px;
    }
}

@media(max-width:768px){

    .template-showcase{

        padding:100px 0;
    }

    .showcase-header{

        margin-bottom:60px;
    }

    .template-track{

        gap:35px;
    }

    .template-item{

        width:340px;
    }

    .template-phone{

        width:85px;

        border-width:6px;

        right:-5px;

        bottom:20px;
    }

    .template-item h3{

        font-size:1.1rem;
    }

    .template-showcase::before,
    .template-showcase::after{

        width:60px;
    }
}

/* =========================
   MODAL
========================= */
.template-modal{

    position:fixed;

    inset:0;

    display:flex;

    justify-content:center;

    align-items:center;

    padding:40px;

    background:rgba(0,0,0,.85);

    backdrop-filter:blur(10px);

    opacity:0;

    visibility:hidden;

    transition:.35s ease;

    z-index:9999;
}

.template-modal.active{

    opacity:1;

    visibility:visible;
}

.template-modal-content{

    max-width:1400px;

    width:95%;

    max-height:90vh;

    overflow:auto;

    border-radius:20px;

    background:#fff;

    box-shadow:
    0 40px 100px rgba(0,0,0,.4);
}

.template-modal-content img{

    width:100%;

    display:block;
}

.template-close{

    position:absolute;

    top:25px;

    right:30px;

    width:50px;

    height:50px;

    border:none;

    border-radius:50%;

    cursor:pointer;

    font-size:2rem;

    color:#fff;

    background:rgba(255,255,255,.15);

    backdrop-filter:blur(10px);
}

/* ==========================
   KNOW WHERE TO START
========================== */

.start-section{

    padding:140px 20px;

    background:
    radial-gradient(
        circle at top,
        rgba(255,255,255,.03),
        transparent 60%
    ),
    #0f172a;
}

.start-header{

    text-align:center;

    max-width:800px;

    margin:0 auto 70px;
}

.start-header span{

    display:block;

    margin-bottom:20px;

    font-size:.85rem;

    letter-spacing:2px;

    font-weight:600;

    color:#f59e0b;
}

.start-header h2{

    font-size:clamp(2.8rem,5vw,5rem);

    line-height:1.05;

    color:#fff;

    margin-bottom:20px;
}

.start-header p{

    color:#94a3b8;

    font-size:1.1rem;

    line-height:1.8;
}

/* GRID */

.start-grid{

    max-width:1400px;

    margin:auto;

    display:grid;

    gap:18px;

    grid-template-columns:
    1.1fr
    1.6fr
    1.1fr;

    grid-template-rows:
    280px
    280px;
}

/* CARD */

.start-card{

    position:relative;

    overflow:hidden;

    border-radius:28px;

    padding:45px;

    text-decoration:none;

    transition:.4s ease;

    border:1px solid rgba(255,255,255,.08);
}

.start-card:hover{

    transform:
    translateY(-8px);

    box-shadow:
    0 25px 60px rgba(0,0,0,.35);
}

.start-card-content{

    position:relative;

    z-index:2;

    height:100%;

    display:flex;

    flex-direction:column;
}

.start-card h3{

    font-size:clamp(1.8rem,2vw,3rem);

    line-height:1;

    margin-bottom:25px;

    font-weight:700;
}

.start-card p{

    font-size:1rem;

    line-height:1.8;

    max-width:500px;
    
    color:#ffffff
}

.start-card span{

    margin-top:auto;

    font-weight:600;

    letter-spacing:.5px;
}

/* DOMAIN */

.start-domain-card{

    grid-row:1 / span 2;

    background:
    linear-gradient(
        135deg,
        #7c4a1d,
        #4a2a0f
    );

    color:#fff;
}
/* ==========================
   DOMAIN SEARCH
========================== */

.domain-search-form{

    display:flex;

    align-items:center;

    margin-top:30px;

    background:rgba(255,255,255,.12);

    backdrop-filter:blur(12px);

    border:1px solid rgba(255,255,255,.15);

    border-radius:14px;

    overflow:hidden;
}
.domain-search-form input{

    flex:1;

    height:65px;

    padding:0 25px;

    border:none;

    outline:none;

    background:transparent;

    color:#fff;

    font-size:.95rem;
}

.domain-search-form input::placeholder{

    color:rgba(255,255,255,.65);
}

.domain-search-form button{

    height:30px;

    padding:0 24px;

    border:none;

    cursor:pointer;

    font-weight:600;

    color:#111827;

    background:#fff;

    transition:.25s;
}

.domain-search-form button:hover{

    background:#f8fafc;
}

.domain-result-box{

    margin-top:16px;

    min-height:24px;
}

.checking{

    font-size:.9rem;

    color:rgba(255,255,255,.7);

    font-weight:500;
}

.available{

    font-size:.95rem;

    font-weight:700;

    color:#4ade80;
}

.taken{

    font-size:.95rem;

    font-weight:700;

    color:#f87171;
}


/* HOSTING */

.start-hosting-card{
    
    background:
    linear-gradient(
        135deg,
        #3d1f0d,
        #1a0f08
    );

    color:#fff;
}

/* EMAIL */

.start-email-card{

    background:
    linear-gradient(
        135deg,
        #ecd3ad,
        #dcb98a
    );

    color:#111827;
}

/* SSL */

.start-ssl-card{

    background:
    linear-gradient(
        135deg,
        #f4e0c0,
        #dec098
    );

    color:#111827;
}

/* MAINTENANCE */

.start-maintenance-card{

    background:
    linear-gradient(
        135deg,
        #3a1d0a,
        #805c45
    );

    color:#fff;
}
.start-ssl-card h3,
.start-ssl-card p,
.start-ssl-card.highlight{
  color:#1e293b;
}

.start-email-card h3,
.start-email-card p,
.start-email-card.highlight{
  color:#1e293b;
}
/* HOVER GLOW */

.start-card::before{

    content:"";

    position:absolute;

    inset:0;

    z-index:1;

    background:
    linear-gradient(
        120deg,
        transparent,
        rgba(255,255,255,.12),
        transparent
    );

    transform:translateX(-120%);

    transition:.8s ease;
}

.start-card h3,
.start-card p,
.start-card span{

    position:relative;

    z-index:2;
}

.start-card:hover::before{

    transform:translateX(120%);
}

/* RESPONSIVE */

@media(max-width:991px){

    .start-grid{

        grid-template-columns:1fr 1fr;

        grid-template-rows:auto;
    }

    .start-domain-card{

        grid-row:auto;
    }

    .start-card{

        min-height:280px;
    }
}

@media(max-width:768px){

    .start-section{

        padding:100px 20px;
    }

    .start-grid{

        grid-template-columns:1fr;
    }

    .start-card{

        min-height:250px;

        padding:35px;
    }

    .start-card h3{

        font-size:2rem;
    }
}

   .domain-search-form{

        flex-direction:column;

        background:none;

        border:none;

        gap:10px;
    }

    .domain-search-form input{

        width:100%;

        border-radius:12px;

        background:rgba(255,255,255,.12);
    }

    .domain-search-form button{

        width:100%;

        border-radius:12px;
    }


.domain-row{

    display:flex;

    justify-content:space-between;

    align-items:center;

    gap:12px;

    padding:12px 0;

    border-bottom:
    1px solid rgba(255,255,255,.08);
}

.domain-row span{

    color:#fff;

    font-size:.95rem;

    word-break:break-all;
}

.domain-row:last-child{

    border-bottom:none;
}

.available{

    color:#4ade80;

    font-weight:700;
}

.taken{

    color:#f87171;

    font-weight:700;
}

.domain-result-box{

    margin-top:20px;

    display:flex;

    flex-direction:column;

    gap:4px;
}
/* =========================
   PRE FOOTER
========================= */

.pre-footer{
  padding:80px 8%;

  background:
    linear-gradient(
      180deg,
      #ffffff,
      #f8fcff
    );

  border-top:1px solid rgba(15,23,42,.06);
}

.pre-footer-container{
  max-width:1300px;

  margin:auto;

  display:grid;
  grid-template-columns:
    repeat(4,1fr);

  gap:50px;
}

.pre-footer-column h4{
  color:#0f172a;

  font-size:1rem;
  font-weight:600;

  margin-bottom:22px;
}

.pre-footer-column a{
  display:block;

  margin-bottom:12px;

  text-decoration:none;

  color:#64748b;

  transition:.3s ease;
}

.pre-footer-column a:hover{
  color:#0ea5e9;
  transform:translateX(4px);
}

.pre-footer-column p{
  color:#64748b;
  margin-bottom:22px;
}

.footer-btn{
  display:inline-flex;

  align-items:center;
  justify-content:center;

  padding:12px 24px;

  border-radius:12px;

  background:
    linear-gradient(
      135deg,
      #06b6d4,
      #8b5cf6
    );

  color:#ffffff !important;

  font-weight:600;

  text-decoration:none;

  transition:.3s ease;
}

.footer-btn:hover{
  transform:translateY(-3px);
  color:#ffffff !important;
}

/* =========================
   FOOTER
========================= */

footer{
  margin-top:0;

   padding:35px 20px;

  text-align:center;

   color:#64748b;

  border-top:1px solid rgba(15,23,42,.08);

  background:#ffffff;
}
/* =========================
   MOBILE
========================= */
/* medium desktop */

@media(max-width:1400px){

  .hero{
    column-gap:180px;
  }
}


@media(max-width:968px){

  .hero{
    grid-template-columns:1fr;

    min-height:auto;

    padding:140px 6% 70px;
  }

  .hero-visual{
    display:none;
  }

  .hero-content{
    order:1;

    max-width:100%;

    text-align:center;

    margin:0 auto;
  }

  .hero p{
    margin-left:auto;
    margin-right:auto;
  }

  .hero h1{
    font-size:clamp(2.3rem,9vw,3.5rem);
    line-height:1.08;
  }

  .hero-wallpaper{
    height:360px;
    max-width:100%;
  }

  .wallpaper-icon{
    width:110px;
    height:110px;
  }

}

@media(max-width:768px){

  header{
    flex-direction:column;
    gap:16px;
    padding:18px 6%;
    text-align:center;
  }

  .logo img{
    width:190px;
  }

  nav{
    justify-content:center;
    flex-wrap:wrap;
    gap:24px;
  }

  nav a{
    font-size:0.95rem;
    font-weight:600;
  }

  /* =========================
     PARTNERS
  ========================= */

  .partners-section{
    padding:30px 5%;
  }

  .partners-title{
    margin-bottom:35px;
    font-size:.75rem;
    letter-spacing:.12em;
  }

  .partners-grid{
    gap:24px 32px;
  }

  .partners-grid img{
    height:70px;
  }

  /* =========================
     SERVICES
  ========================= */
  .services,
  .whatwedo-section{
    padding:75px 6%;
  }

.section-title{
  flex-direction:column;
  align-items:flex-start;
  gap:18px;

  margin-bottom:45px;
}

.section-title h2{
  width:100%;

  font-size:2rem;
  line-height:1.2;

  text-align:left;
}

.section-title p{
  max-width:100%;

  font-size:.95rem;
  line-height:1.8;
}

  .grid{
    grid-template-columns:1fr;
    gap:22px;
  }

  .card{
    padding:28px;
  }

  .card:hover{
    transform:none;
  }

  /* PRE FOOTER */

  .pre-footer{
    padding:80px 8% 40px;
  }

  .pre-footer-container{
    grid-template-columns:1fr;
    gap:35px;
    text-align:center;
  }

  .pre-footer-column h4{
    margin-bottom:16px;
  }

  .pre-footer-column a:hover{
    transform:none;
  }

  /* FOOTER */

  footer{
    font-size:0.9rem;
    padding:40px 8%;
  }
}

@media(max-width:992px){

  .about-stack{
      flex-direction:column;
      height:auto;
      gap:12px;
      margin-top:40px;
  }

  .about-card,
  .about-card.active{
      width:100%;
      margin:0;
      display:block;
      border-radius:20px;
  }

  .card-tab{
      width:100%;
      min-width:100%;
      min-height:70px;

      writing-mode:horizontal-tb;
      transform:none;

      font-size:1rem;
      letter-spacing:1px;

      justify-content:flex-start;
      padding:0 24px;
  }

  .about-card.active .card-tab{
      display:none;
  }

  .card-content{
      width:100%;
      max-height:0;

      opacity:0;
      overflow:hidden;

      transform:none;

      transition:
        max-height .45s ease,
        opacity .3s ease;
  }

  .about-card.active .card-content{
      width:100%;
      max-height:600px;
      

      opacity:1;

      padding:30px 24px;
  }

  .card-content h3{
      font-size:1.5rem;
      margin-bottom:25px;
  }

  .card-content p{
    max-width:620px;
    font-size:1.1rem;
    line-height:1.9;
}

  .card-icon{
      width:60px;
      height:60px;
      margin-bottom:18px;
  }

  .card-icon i{
      font-size:24px;
  }

}

@media(max-width:576px){

  .whatwedo-section{
      padding:80px 6%;
  }

  .card-tab{
      min-height:65px;
      font-size:.95rem;
      padding:0 20px;
  }

  .card-content{
      text-align:left;
  }

  .card-content h3{
      font-size:1.3rem;
  }

  .card-content p{
      font-size:.92rem;
      line-height:1.7;
  }

}